import request from '@/utils/request'

// 查询生产性资产折旧列表
export function listProductivedepreciation(query) {
  return request({
    url: '/asset/productivedepreciation/list',
    method: 'get',
    params: query
  })
}

// 统计查询生产性资产折旧列表
export function statisticProductivedepreciation(query) {
  return request({
    url: '/asset/productivedepreciation/statistic',
    method: 'get',
    params: query
  })
}

// 导出生产性资产折旧
export function exportProductivedepreciation(query) {
  return request({
    url: '/asset/productivedepreciation/export',
    method: 'get',
    params: query
  })
}

// 查询生产性资产折旧详细
export function getProductivedepreciation(id) {
  return request({
    url: '/asset/productivedepreciation/get/' + id,
    method: 'get',
    params: arguments[1] || {}
  })
}

// 新增生产性资产折旧
export function addProductivedepreciation(data) {
  return request({
    url: '/asset/productivedepreciation/add',
    method: 'post',
    data: data
  })
}
// 生产性资产折旧
export function autoAddDepreciation(data) {
  return request({
    url: '/asset/productivedepreciation/autoAdd',
    method: 'post',
    params: data
  })
}

// 修改生产性资产折旧
export function updateProductivedepreciation(data) {
  return request({
    url: '/asset/productivedepreciation/edit',
    method: 'post',
    data: data
  })
}

// 删除生产性资产折旧
export function delProductivedepreciation(id) {
  return request({
    url: '/asset/productivedepreciation/remove/' + id,
    method: 'get'
  })
}

